#
# spec file for package ghc-opaleye-trans
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name opaleye-trans
Name:           ghc-%{pkg_name}
Version:        0.3.7
Release:        lp150.5.1
Summary:        A monad transformer for Opaleye
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  chrpath
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-opaleye-devel
BuildRequires:  ghc-postgresql-simple-devel
BuildRequires:  ghc-product-profunctors-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-transformers-base-devel
BuildRequires:  ghc-transformers-devel

%description
A monad transformer for Opaleye.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install
%ghc_fix_rpath %{pkg_name}-%{version}

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE
%{_bindir}/opaleye-rosetree
%{_bindir}/opaleye-rosetree2

%files devel -f %{name}-devel.files
%doc examples

%changelog
* Mon Nov  6 2017 psimons@suse.com
- Update to version 0.3.7.
  A more detailed change log is not available.
* Wed Sep 13 2017 psimons@suse.com
- Update to version 0.3.6.
  A more detailed change log is not available.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Mon Feb 27 2017 psimons@suse.com
- Update to version 0.3.5 with cabal2obs.
* Mon Jan 30 2017 psimons@suse.com
- Update to version 0.3.4 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.3.3 revision 0 with cabal2obs.
